<template>
  <b-navbar class="navbar-wrapper" toggleable="lg" type="dark" variant="dark">
    <b-navbar-brand>
      <router-link to="/add-query">
        <img src="../assets/img/logo-conexa.svg">
      </router-link>
    </b-navbar-brand>

    <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

    <b-collapse id="nav-collapse" is-nav>
      <b-navbar-nav class="menu">
        <router-link to="/add-query" class="nav-item">
          <span class="nav-link uppercase">Cadastrar consulta</span>
        </router-link>

        <router-link to="/list-input" class="nav-item">
          <span class="nav-link uppercase">Listar consulta</span>
        </router-link>
      </b-navbar-nav>

      <div class="d-flex justify-content-end">
        <!-- Right aligned nav items -->
        <b-navbar-nav class="d-flex justify-content-end">
            <b-nav-item class="doctor-wrapper">
              <img src="../assets/img/doctor.png" alt="" class="doctor">
              <span>{{ credentials.name }}</span>
            
            </b-nav-item>
        </b-navbar-nav>

        <b-navbar-nav class="d-flex justify-content-end logoff">
            <b-nav-item class="uppercase doctor-wrapper" @click="logoff">
              Sair
            </b-nav-item>
        </b-navbar-nav>
      </div>
    </b-collapse>
  </b-navbar>
</template>

<script>
import { mapActions } from 'vuex'
import { mapGetters } from 'vuex'

export default {
  name: 'navbar-header',

  computed: {
    ...mapGetters([
      'credentials',
    ])
  },

  methods: {
    ...mapActions([
      'logoffAction'
    ]),

    logoff() {
      this.logoffAction().then(response => {
        this.$router.push({ name: 'home' })
      })
    }
  }
}
</script>

<style lang="scss">
.navbar-wrapper {
  #nav-collapse {
    ul {
      &.menu {
        min-width: 450px;
        margin: 0 auto;
        display: flex;
        justify-content: center;

        a {
          cursor: pointer;
          text-decoration: none;
        }
      }       
    }

    .doctor-wrapper {
      a {
        cursor: default;
        padding: 0 25px;
        text-decoration: none;
        align-items: center;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        height: 100px;

        span {
          margin-left: 15px;
        }
      }
    }

    .dropdown-menu {
      li {
         a {
           color: red;
         }
      }
    }
  }

  .doctor-wrapper {
    width: 100%;

    .nav-link {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      cursor: pointer;
      max-width: 200px;

      .doctor {
        max-width: 60px;
      }
    }
  }
}

@media(max-width: 1024px) {
  .navbar-wrapper {
    #nav-collapse {
       ul {
         &.menu {
          min-width: 300px;
          margin: 0 auto;
         }
       }
    }
  }
}

@media(max-width: 768px) {
  .navbar-wrapper {
    #nav-collapse {
      text-align: left;

      .navbar-nav {
        justify-content: flex-start;
        text-align: left;
        width: 100%;

        li {
          a {
            justify-content: flex-start;
            text-align: left;
            align-items: flex-start;
            -webkit-box-align: start;
            padding: 0;

            span {
              text-transform: uppercase;
              margin: 0;
            }
          }
        }
      }

      .doctor-wrapper {
        padding: 0;

        img {
          display: none;
        }

        a {
          height: auto;
        }
      }

      .logoff {
        li {
          a {
            float: right;
          }
        }
      }
    }
  }
}
</style>     